explain_fseek_or_die(3)

NAME
explain_fseek_or_die - reposition a stream and report errors

SYNOPSIS
#include <libexplain/fseek.h>

void explain_fseek_or_die(FILE *fp, long offset, int whence);
int explain_fseek_on_error(FILE *fp, long offset, int whence);

DESCRIPTION
The explain_fseek_or_die function is used to call the fseek(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fseek(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_fseek_on_error function is used to call the fseek(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_fseek(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the fseek(3) system call.

offset
    The offset, exactly as to be passed to the fseek(3) system call.

whence
    The whence, exactly as to be passed to the fseek(3) system call.

RETURN VALUE
The explain_fseek_or_die function only returns on success, see fseek(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_fseek_on_error function always returns the value return by the wrapped fseek(3) system call.

EXAMPLE
The explain_fseek_or_die function is intended to be used in a fashion similar to the following example:
    explain_fseek_or_die(fp, offset, whence);

SEE ALSO

fseek(3)
    reposition a stream

explain_fseek(3)
    explain fseek(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2010 Peter Miller